{
  "name": "vue3pctemplate",
  "version": "0.0.0",
  "private": true,
  "scripts": {
    "dev": "vite --mode dev",
    "build": "npm run build:pro",
    "build:sit": "vue-tsc && vite build --mode sit",
    "build:uat": "vue-tsc && vite build --mode uat",
    "build:pro": "vue-tsc && vite build --mode production",
    "preview": "vite preview",
    "build-only": "vite build",
    "type-check": "vue-tsc --noEmit -p tsconfig.app.json --composite false"
  },
  "dependencies": {
    "@vueuse/core": "^10.6.1",
    "axios": "^1.6.2",
    "echarts": "^5.4.3",
    "element-plus": "^2.4.3",
    "highcharts": "^11.2.0",
    "mitt": "^3.0.1",
    "moment": "^2.29.4",
    "nprogress": "^0.2.0",
    "pinia": "^2.1.7",
    "pinia-plugin-persist": "^1.0.0",
    "sass": "^1.69.5",
    "vite-plugin-html": "^3.2.0",
    "vite-plugin-zip-file": "^2.2.0",
    "vue": "^3.3.4",
    "vue-router": "^4.2.5"
  },
  "devDependencies": {
    "@tsconfig/node18": "^18.2.2",
    "@types/node": "^18.18.5",
    "@types/nprogress": "^0.2.3",
    "@vitejs/plugin-vue": "^4.4.0",
    "@vitejs/plugin-vue-jsx": "^3.0.2",
    "@vue/tsconfig": "^0.4.0",
    "npm-run-all2": "^6.1.1",
    "typescript": "~5.2.0",
    "unplugin-auto-import": "^0.17.1",
    "unplugin-vue-components": "^0.25.2",
    "vite": "^4.4.11",
    "vue-tsc": "^1.8.19"
  }
}